%global with_tests 0%{?_with_tests:1}
Name:           python-u-msgpack-python
Version:        2.5.0
Release:        2
Summary:        A lightweight MessagePack serializer and deserializer module written in pure Python

License:        MIT
URL:            https://pypi.org/project/u-msgpack-python/
Source0:        https://files.pythonhosted.org/packages/f5/97/36d5ac7d71451e282051e48219cc825637f617a8f620a2edf90ab61b7f97/u-msgpack-python-2.5.0.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools

%description
u-msgpack-python is a lightweight MessagePack serializer and deserializer module written in pure Python,
compatible with both Python 2 and Python 3, as well as CPython and PyPy implementations of Python.
u-msgpack-python is fully compliant with the latest MessagePack specification. In particular, it supports
the new binary, UTF-8 string, and application-defined ext types.

%package -n     python3-u-msgpack-python
Summary:        A lightweight MessagePack serializer and deserializer module written in pure Python

%description -n python3-u-msgpack-python
u-msgpack-python is a lightweight MessagePack serializer and deserializer module written in pure Python,
compatible with both Python 2 and Python 3, as well as CPython and PyPy implementations of Python.
u-msgpack-python is fully compliant with the latest MessagePack specification. In particular, it supports
the new binary, UTF-8 string, and application-defined ext types.

%prep
%autosetup -n   u-msgpack-python-2.5.0 -p1

%build
%py3_build

%install
%py3_install

%check
%if %{with_tests}
%{__python3} setup.py test
%endif

%files -n python3-u-msgpack-python
%license LICENSE
%doc README.md
%{python3_sitelib}/{__pycache__/*,umsgpack.py}
%{python3_sitelib}/u_msgpack_python-%{version}-py?.?.egg-info

%changelog
* Wed Jan 8 2020 chenli<chenli147@huawei.com> 2.5.0-2
- Initial package

